<!DOCTYPE html>
<html ng-app="example" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8" />
    <title>AngularJS CRUD Example</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.4/css/bootstrap.min.css" />
    <script>
        document.write('<base href="' + document.location + '" />');
    </script>
    <script src="https://code.angularjs.org/1.5.8/angular.js"></script>
    <script src="app.js"></script>
</head>

<body ng-controller="MainCtrl as main">
<div class="container">
    <h3>Address Book</h3>

    <p>
        <label>First Name</label><input type="text" ng-model="main.person.firstname " />
        <label>Last Name</label><input type="text " ng-model="main.person.lastname" />
        <label>City</label><input type="text" ng-model="main.person.city " />
        <label>Phone</label><input type="text" ng-model="main.person.phone " />
        <label>Telegram</label><input type="text" ng-model="main.person.telegram " />
    </p>

    <div class="row">
        <div class="col-md-7">
            <button class="btn btn-primary" ng-click="main.addClickHandler()">Save</button>
            <button class="btn btn-default" ng-click="main.resetClickHandler()">Clear Form</button>
        </div>
        <div class="col-md-5">
            <label>Search:</label>
            <input type="text" ng-model="main.search" />
        </div>
    </div>

    <p></p>

    <div class="row" ng-show="main.addresses">
        <table class="table table-bordered table-striped table-condensed">
            <thead>
            <tr>
                <th>id</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>City</th>
                <th>Phone</th>
                <th>Telegram</th>
                <th>actions</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each = "elements: ${elem}">
                <td th:text = "${elements.id}"></td>
                <td th:text = "${elements.firstname}"></td>
                <td th:text = "${elements.lastname} "></td>
                <td th:text = "${elements.city} "></td>
                <td th:text = "${elements.phone} "></td>
                <td th:text = "${elements.telegram} "></td>
                <td>
                    <button class="btn btn-primary" ng-click="main.editClickHandler(item)">Edit</button>
                    <button class="btn btn-danger" ng-click="main.removeClickHandler(item)">Remove</button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
</body>

</html>